/* CSS Rules

    selector {
        property: value;
    }
*/

/* Type Selector */
/* !important is to override the default highest priority  */
h1 {
    color: darkgreen !important;
}

/* Universal Selector */
* {
    font-family: 'Courier New', Courier, monospace;
    font-size: 15px;
}

/* id_value (id selector, is a unique, each element only one ID) */
/* #id-name */
#zuitt-motto {
    letter-spacing: 5px;
}
h3 {
    letter-spacing: 25px;
}

/* class selector using . symbol */
/* .class-name */
.offering-item {
    text-transform: uppercase;
}

/* attribute selector (target certain attributes)*/
/* tagname:attribute */
input:required {
    /* border-width: 2px
       border-style: solid
       border-color: red 
       above format is to be more specific*/
    border: 1px solid red
}

/* label tag don't have attribute at this moment */
label {
    color:darkgoldenrod;
}

/* selector combinations */

/* Adjacent sibling selector */
/* sibling_element + target_element 
must be near with each other or beside each other */
h3 + img {
    height: 300px;
    width: 300px;
    border-radius: 150px;
}

/* Descendant Selector */
/* ancestor_element descendant_element */
#bootcamp-learning-list li {
    color: #092580
}

/* General Sibling Selector(~) */
/* sibling_element ~ target_element */
h2 ~ a {
    text-decoration: none;
}

/* Child Selector */
/* parent_element > child_element */
body > section > form > label {
    color: darkkhaki;
}

/* Multiple Selector */
/* #test, .test, .box title */